<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ name || "New Email" }}
        </div>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="emailForm">
        <mat-form-field class="w-full">
          <mat-label>Name</mat-label>
          <input matInput formControlName="name" mat-raised-button required>
          <mat-checkbox formControlName="isDisabled" matSuffix class="client-checkboxes">Disable Email</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Email Host</mat-label>
          <input matInput formControlName="host" mat-raised-button required>
          <mat-checkbox formControlName="secure" matSuffix>Secure</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Port</mat-label>
          <input matInput formControlName="port" mat-raised-button required>
          <mat-checkbox formControlName="saveLog" matSuffix>Save Log</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>User</mat-label>
          <input matInput formControlName="user" mat-raised-button>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Password</mat-label>
          <input [type]="hide ? 'password' : 'text'" matInput formControlName="pass"
            mat-raised-button>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>From</mat-label>
          <input matInput formControlName="from" mat-raised-button required>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="updateEmail()" mat-flat-button color="primary" [disabled]="!emailForm.valid"
        *ngIf="host">Update</button>
      <button (click)="createEmail()" mat-flat-button color="primary" [disabled]="!emailForm.valid"
        *ngIf="!host">Create</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid !== new">Delete</button>
    </mat-card-actions>
  </mat-card>
</div>
